## relational 3.2

=== debian/changelog ===
relational (3.2-1) unstable; urgency=low

  * New upstream release
  * Moved from github to codeberg
  * Add Vcs-* fields to d/control
  * Change email to the debian one

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 09 May 2024 11:43:45 +0200
