=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools,
 python3-setuptools, python3-typedload
Standards-Version: 4.6.2
X-Python3-Version: >= 3.8
Homepage: https://ltworf.codeberg.page/relational/
Rules-Requires-Root: no
Vcs-Browser: https://codeberg.org/ltworf/relational
Vcs-Git: https://codeberg.org/ltworf/relational.git

Package: python3-relational
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}), python3-pyqt5
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used to
 execute relational queries.

Package: relational-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}),
 python3-xtermcolor
Description: Educational tool for relational algebra (command line interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a command line interface that can be used to
 execute relational queries.
