=== requirements.txt ===
typedload
pyqt6
xtermcolor
