=== debian/changelog ===
relational (3.3-1) unstable; urgency=low

  * New upstream release
  * Move from pyqt5 to pyqt6

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 21 Jul 2024 09:33:50 +0200
