## relational 3.4

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 		$@
 
 .PHONY: mypy
-mypy:
-	mypy relational relational_readline
+mypy: gui
+	mypy relational relational_readline relational_gui
 
 .PHONY: test
 test:
