=== requirements.txt ===
typedload
pyqt6
termcolor
