=== debian/changelog ===
relational (3.4-1) unstable; urgency=medium

  * New upstream release
  * Change xtermcolor for termcolor
  * Remove Rules-Requires-Root
  * Add upstream/metadata
  * Bump standards version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 08 Dec 2025 14:00:15 +0100
