=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt6-dev-tools,
+Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-termcolor, pyqt6-dev-tools,
  python3-setuptools, python3-typedload
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 X-Python3-Version: >= 3.8
 Homepage: https://ltworf.codeberg.page/relational/
-Rules-Requires-Root: no
 Vcs-Browser: https://codeberg.org/ltworf/relational
 Vcs-Git: https://codeberg.org/ltworf/relational.git
 
@@ -35,7 +34,7 @@
 Package: relational-cli
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}),
- python3-xtermcolor
+ python3-termcolor
 Description: Educational tool for relational algebra (command line interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
